Activity Feed

Get transactions

get
Query parameters
accountIdsstring[]Optional

List of account IDs to filter transactions. If not provided, transactions from all accessible accounts are included.

Example: ["e0cab2dd-739f-43de-b131-3e423e935bf1"]
fromDatestring · nullableOptional

Start date for filtering transactions (inclusive). Expected format: YYYY-MM-DD. No lower bound if omitted.

Example: 2025-01-01
toDatestring · nullableOptional

End date for filtering transactions (inclusive). Expected format: YYYY-MM-DD. No upper bound if omitted.

Example: 2025-12-31
pagenumberRequired

Page number for paginated results. Starts from 1.

Default: 1Example: 1
limitnumber · max: 100Required

Number of transactions per page. Maximum allowed value is 100.

Default: 10Example: 10
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

List of transactions

application/json
objectOptional
and
get
/v1/partner/transactions

Get transaction

get
Path parameters
transactionIdstringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

Transaction detail

application/json
transactionIdstringRequired

Unique identifier of the transaction

Example: 68c2a19131a3b726fe47fdda
uniqueTokenstring · uuidRequired

Unique token of the transaction

Example: 1489dd60-aa06-48a6-a267-e7d4a9a84200
originstring · enumRequired

Origin of the transaction

Example: TRANSFERPossible values:
statestring · enumRequired

Current state of the transaction

Example: COMPLETEDPossible values:
categorystring · enumRequired

Category of the transaction

Example: ["TRANSFERS"]Possible values:
impactTypestring · enumRequired

Indicates if the transaction is a debit or credit

Example: CREDITPossible values:
customerIdstring · uuid · nullableRequired

Customer identifier associated with this transaction

Example: a2b9649e-df7f-4349-adff-1c57283fef10
programIdstring · uuid · nullableRequired

Program account identifier associated with this transaction

Example: a2b9649e-df7f-4349-adff-1c57283fef10
amountnumberRequired

Transaction amount in minor units (e.g. 129 for £1.29)

Example: 129
currencyCodestring · enumRequired

Currency of the transaction amount

Example: GBPPossible values:
descriptionstringRequired

Description of the transaction

Example: Sent from Algbra
exchangeRatestringRequired

Exchange rate applied to this transaction

Example: 1.0
exchangeCurrencyCodestring · enumRequired

Currency used for exchange in this transaction

Example: GBPPossible values:
sourceCounterpartyone ofRequired

Details of the counterparty sending the payment, if applicable

or
destinationCounterpartyone ofRequired

Details of the counterparty receiving the payment, if applicable

or
transactionDatestring · date-timeRequired

Timestamp when the transaction took place

Example: 2025-01-01T10:32:01.162Z
get
/v1/partner/transactions/{transactionId}

Last updated

Was this helpful?